Subject: bug#40029: Preventing automatic python2 transformation of some packages

From: Leo Prikler <[email-masked]>
Date: Thu, 12 Mar 2020 13:19:52 +0100

> The only reason we have this package is because it gets pulled in
> automatically when using (package-with-python2 ...) on a Python 3
> package that has 'python-sphinx' in inputs.
I think the problem here, is that (package-with-python2 ...) overwrites
all sorts of inputs per package-mapping.  Perhaps one could write an
alternative on top, that keeps native-inputs as-is and adds python3 to
them.  WDYT?